org.apache.storm.elasticsearch.doc

## Class IndexItem

- java.lang.Object
- - org.apache.storm.elasticsearch.doc.Index
  - - org.apache.storm.elasticsearch.doc.IndexItem

-     public class IndexItem
      extends Index

  Elasticsearch document fragment containing extended index information, used in bulk index responses.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getError()`
    `String` | `getResult()`
    `Shards` | `getShards()`
    `int` | `getStatus()`
    `long` | `getVersion()`
    `boolean` | `isCreated()`
    `void` | `setCreated(boolean created)`
    `void` | `setError(com.fasterxml.jackson.databind.JsonNode error)`
    `void` | `setResult(String result)`
    `void` | `setShards(Shards shards)`
    `void` | `setStatus(int status)`
    `void` | `setVersion(long version)`

    - ### Methods inherited from class org.apache.storm.elasticsearch.doc.Index

      `getId, getIndex, getType, setId, setIndex, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexItem

          public IndexItem()

  - ### Method Detail

    - #### getVersion

          public long getVersion()

    - #### setVersion

          public void setVersion(long version)

    - #### getResult

          public String getResult()

    - #### setResult

          public void setResult(String result)

    - #### isCreated

          public boolean isCreated()

    - #### setCreated

          public void setCreated(boolean created)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getError

          public String getError()

    - #### setError

          public void setError(com.fasterxml.jackson.databind.JsonNode error)

    - #### getShards

          public Shards getShards()

    - #### setShards

          public void setShards(Shards shards)

Copyright © 2021 The Apache Software Foundation. All rights reserved.